"""
All info for CMU Course API at: https://github.com/ScottyLabs/course-api
Installation instructions:
   1. Download the API from the previous page or
      clone the API from the github. Go to terminal/cmd and type:
          git clone https://github.com/ScottyLabs/course-api

   2. Install requirements. Type the following in terminal/cmd:
          sudo pip3 install -r requirements.txt

   3. The "scripts" and "data" folder must be in the same folder that
      your code using the API is in

   4. Study the documentation at https://github.com/ScottyLabs/course-api
      for what the different APIs do. There is parse_schedules,
      parse_descs, and parse_fces. 
   
Here is a demo of using the parse_schedules API to get all the CMU CS courses
that are offered in the Fall. 

"""

from scripts.parse_schedules import parse_schedules

# make the API call
data = parse_schedules("F")

comp_sci_classes = None

# get desired data. Have to understand what is returned, as documented
# on the github.
for department_data in data:
  if department_data["department"] == "Computer Science":
    comp_sci_classes = department_data

for course in comp_sci_classes["courses"]:
  print(course["num"] + ":" + course["title"])
